Hey Everyone,

ipsCA offers 2 year certificates for free to schools, so naturally I ordered one for my district's Zimbra setup. Unfortunately, I'm unable to install it. I get the following error:

Message: Your certificate was not installed due to the error : system failure: XXXXX ERROR: Invalid Certificate: Error code: ZaCertWizard.prototype.installCallback Method: AjxException.UNKNOWN_ERROR Details:system failure: XXXXX ERROR: Invalid Certificate:

Has anybody seen this before? When installing, I'm pretty sure I specified the correct certificates (including the root and intermediate certs). Is it that I really do have a bad certificate, or a certificate that isn't compatible?

We are running Zimbra 5.0.7.

Any help is much appreciated!

Thanks!!